## org.eclipse.datatools.enablement.hsqldb.ui.connection
Class HSQLDBProfileDetailsWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
                  org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
                      org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsWizardPage
                          org.eclipse.datatools.enablement.hsqldb.ui.connection.HSQLDBProfileDetailsWizardPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.ISkippable, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, org.eclipse.datatools.connectivity.internal.ui.wizards.IWizardAction, IDriverUIContributorInformation, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class HSQLDBProfileDetailsWizardPage

extends ExtensibleProfileDetailsWizardPage

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`HSQLDBProfileDetailsWizardPage(java.lang.String pageName)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsWizardPage
`createControl, createCustomControl, determinePageCompletion, dispose, getProperties, getSummaryData, isPageComplete, setProperties`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
`getContext, getContextChangeMask, getSearchExpression, setCreateAutoConnectControls`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
`getSkippable, onSetActive, onWizardNext, setNeedMediation, setSkippable`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### HSQLDBProfileDetailsWizardPage

    public HSQLDBProfileDetailsWizardPage(java.lang.String pageName)